LibreOffice LibreOffice 7.2 SDK API Reference

Variables
com::sun::star::embed::EmbedVerbs Constant Group Referencepublished

This constants set contains possible verbs for a contained object. More...

## Variables
const long | MS_OLEVERB_PRIMARY = 0
| lets the object do default activation, as by double-click. More...
const long | MS_OLEVERB_SHOW = -1
| lets the object open itself for editing of viewing. More...
const long | MS_OLEVERB_OPEN = -2
| lets the object activate itself outplace. More...
const long | MS_OLEVERB_HIDE = -3
| lets the inplace object remove its UI from container. More...
const long | MS_OLEVERB_UIACTIVATE = -4
| lets the object proceed with UI activation. More...
const long | MS_OLEVERB_IPACTIVATE = -5
| lets the object activate itself inplace. More...
const long | MS_OLEVERB_DISCARDUNDOSTATE = -6
| lets the object forget any undo state. More...

## Detailed Description

This constants set contains possible verbs for a contained object.

See also
  XEmbeddedObject

## Variable Documentation

## ◆ MS_OLEVERB_DISCARDUNDOSTATE

const long MS_OLEVERB_DISCARDUNDOSTATE = -6

lets the object forget any undo state.

## ◆ MS_OLEVERB_HIDE

const long MS_OLEVERB_HIDE = -3

lets the inplace object remove its UI from container.

## ◆ MS_OLEVERB_IPACTIVATE

const long MS_OLEVERB_IPACTIVATE = -5

lets the object activate itself inplace.

## ◆ MS_OLEVERB_OPEN

const long MS_OLEVERB_OPEN = -2

lets the object activate itself outplace.

## ◆ MS_OLEVERB_PRIMARY

const long MS_OLEVERB_PRIMARY = 0

lets the object do default activation, as by double-click.

## ◆ MS_OLEVERB_SHOW

const long MS_OLEVERB_SHOW = -1

lets the object open itself for editing of viewing.

## ◆ MS_OLEVERB_UIACTIVATE

const long MS_OLEVERB_UIACTIVATE = -4

lets the object proceed with UI activation.